# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.apache.sling.testing.mock.sling.builder.ImmutableValueMap.clear()
Unsupported operation
org.apache.sling.testing.mock.sling.builder.ImmutableValueMap.put(String, Object)
Unsupported operation
org.apache.sling.testing.mock.sling.builder.ImmutableValueMap.putAll(Map<? extends String, ? extends Object>)
Unsupported operation
org.apache.sling.testing.mock.sling.builder.ImmutableValueMap.remove(Object)
Unsupported operation
org.apache.sling.testing.mock.sling.context.SlingContextImpl.resolveSlingBindingProperty(String)
Please use `SlingContextImpl.resolveSlingBindingProperty(String, SlingHttpServletRequest)`

Deprecated Constructors
Constructor
Description
org.apache.sling.testing.mock.sling.servlet.MockRequestPathInfo()
Use @link `MockRequestPathInfo(ResourceResolver)` instead.